# Function Message

A component that usually displays result of some action or a tip for the user.

- Message(
  props: Omit<any, "as" | (keyof Props)> & TransformProps<Props, any> & {
  as?: undefined;
  css?: any;
  },
  ): null
  | ReactElement

- #### Parameters

  - props: Omit<any, "as" | (keyof Props)> & TransformProps<Props, any> & {
    as?: undefined;
    css?: any;
    }

  #### Returns null | ReactElement

  - Defined in src/components/ui/message/Message.tsx:32
- Message<
  C extends any,
  As extends string | ComponentType<any> = any,
  InnerProps = unknown,
  >(
  props: Assign<
  ComponentPropsWithRef<
  As extends (keyof IntrinsicElements)
  | ComponentType<any>
  ? As<As>
  : never,
  >,
  TransformProps<Assign<InnerProps, Props>, any> & {
  as?: As;
  css?: {
  [K in string | number | symbol]: K extends string
  | number
  | symbol
  ? any
  : never
  };
  },
  >,
  ): null
  | ReactElement

- #### Type Parameters

  - C extends any
  - As extends string | ComponentType<any> = any
  - InnerProps = unknown

  #### Parameters

  - props: Assign<
    ComponentPropsWithRef<
    As extends (keyof IntrinsicElements)
    | ComponentType<any>
    ? As<As>
    : never,
    >,
    TransformProps<Assign<InnerProps, Props>, any> & {
    as?: As;
    css?: {
    [K in string | number | symbol]: K extends string
    | number
    | symbol
    ? any
    : never
    };
    },
    >

  #### Returns null | ReactElement

  - Defined in src/components/ui/message/Message.tsx:32
- Message(
  props: Omit<any, keyof Props> & TransformProps<Props, any> & {
  css?: any;
  },
  ): ReactNode

- #### Parameters

  - props: Omit<any, keyof Props> & TransformProps<Props, any> & { css?: any }

  #### Returns ReactNode

  - Defined in src/components/ui/message/Message.tsx:32

#####
Index

### Properties

[$$StyledComponentMedia]
[$$StyledComponentProps]
[$$StyledComponentType]
$$typeof
className
defaultProps?
displayName?
propTypes?
selector

##
Properties

### [$$StyledComponentMedia]

"[$$StyledComponentMedia]": any

- Defined in node_modules/.pnpm/@stitches+react@1.2.8_react@18.3.1/node_modules/@stitches/react/types/styled-component.d.ts:54

### [$$StyledComponentProps]

"[$$StyledComponentProps]": Props

- Defined in node_modules/.pnpm/@stitches+react@1.2.8_react@18.3.1/node_modules/@stitches/react/types/styled-component.d.ts:53

### [$$StyledComponentType]

"[$$StyledComponentType]": any

- Defined in node_modules/.pnpm/@stitches+react@1.2.8_react@18.3.1/node_modules/@stitches/react/types/styled-component.d.ts:52

### `Readonly`$$typeof

$$typeof: symbol

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:644

### className

className: string

- Defined in node_modules/.pnpm/@stitches+react@1.2.8_react@18.3.1/node_modules/@stitches/react/types/styled-component.d.ts:49

### `Optional` defaultProps

defaultProps?: Partial<
Omit<any, keyof Props> & TransformProps<Props, any> & { css?: any },
>

#### Deprecated

Use values for destructuring assignments instead.

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1582

### `Optional` displayName

displayName?: string

Used in debugging messages. You might want to set it explicitly if you want to display a different name for debugging purposes.

#### See

Legacy React Docs

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:660

### `Optional` propTypes

propTypes?: WeakValidationMap<
Omit<any, keyof Props> & TransformProps<Props, any> & { css?: any },
>

- Defined in node_modules/.pnpm/@types+react@18.3.28/node_modules/@types/react/index.d.ts:1583

### selector

selector: string

- Defined in node_modules/.pnpm/@stitches+react@1.2.8_react@18.3.1/node_modules/@stitches/react/types/styled-component.d.ts:50